Package org.eclipse.birt.chart.device

# Class ImageWriterFactory

java.lang.Object
org.eclipse.birt.chart.device.ImageWriterFactory

All Implemented Interfaces:
  `IImageWriterFactory`

public class ImageWriterFactory extends Object implements IImageWriterFactory

## Constructor Summary

Constructors
Constructor
Description
`ImageWriterFactory()`

## Method Summary

Modifier and Type
Method
Description
`ImageWriter`
`createByFormatName(String formatName)`
`ImageWriter`
`createImageWriter(String formatName, String outputFormat)`
`static void`
`initInstance(IImageWriterFactory tFactory)`
`static IImageWriterFactory`
`instance()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ImageWriterFactory

public ImageWriterFactory()

## Method Details

### initInstance

public static void initInstance(IImageWriterFactory tFactory)

### instance

public static IImageWriterFactory instance()

### createByFormatName

public ImageWriter createByFormatName(String formatName)

Specified by:
  `createByFormatName` in interface `IImageWriterFactory`

### createImageWriter

public ImageWriter createImageWriter(String formatName, String outputFormat)

Specified by:
  `createImageWriter` in interface `IImageWriterFactory`